Bug 16897 - Kernel 2.6.25-std-def-alt6.M41.3 : намертво зависает в КДЕ
: Kernel 2.6.25-std-def-alt6.M41.3 : намертво зависает в КДЕ
Status: CLOSED FIXED
: Branch 4.1
(All bugs in Branch 4.1/kernel-image-std-def)
: unspecified
: x86 Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-08-26 14:51 by
Modified: 2008-09-22 12:41 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-08-26 14:51:27
С предыдущими ядрами, вплоть до 2.6.25-std-def-alt6.M41.2, проблем не было.
После установки 2.6.25-std-def-alt6.M41.3 машина стала намертво виснуть при
работе в КДЕ через несколько минут после загрузки, даже курсор мыши не
движется. Нумлок работает, при этом переключиться в консоль невозможно и машина
по сети не пингуется. AltPrtScr-что-то тоже не срабатывает. В логах ругань по
поводу какого-то USB-устройства и больше ничего криминального... Вот лог
непосредственно перед зависанием:

Aug 25 16:17:00 tga last message repeated 3 times
Aug 25 16:17:01 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 104
Aug 25 16:17:01 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:01 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 105
Aug 25 16:17:01 tga crond[7078]: (root) CMD (  
/home/temo/scripts/APC/test_apc_18)
Aug 25 16:17:01 tga crond[7079]: (root) CMD (  
/home/temo/scripts/APC/test_apc_19)
Aug 25 16:17:01 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:01 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:01 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 107
Aug 25 16:17:01 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:02 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:02 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 109
Aug 25 16:17:02 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:03 tga last message repeated 4 times
Aug 25 16:17:03 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 114
Aug 25 16:17:03 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:04 tga last message repeated 5 times
Aug 25 16:17:04 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 120
Aug 25 16:17:04 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:04 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:05 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 122
Aug 25 16:17:05 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:05 tga last message repeated 2 times
Aug 25 16:17:05 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 125
Aug 25 16:17:05 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:07 tga last message repeated 8 times
Aug 25 16:17:07 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 8
Aug 25 16:17:07 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:08 tga last message repeated 5 times
Aug 25 16:17:08 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 14
Aug 25 16:17:09 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:09 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:09 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 16
Aug 25 16:17:09 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:10 tga last message repeated 3 times
Aug 25 16:17:10 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 20
Aug 25 16:17:10 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:10 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:10 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 22
Aug 25 16:17:10 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:17:11 tga last message repeated 5 times
Aug 25 16:17:12 tga kernel: usb 5-7: new high speed USB device using ehci_hcd
and address 28
Aug 25 16:17:12 tga kernel: hub 5-0:1.0: unable to enumerate USB device on port
7
Aug 25 16:25:09 tga syslogd 1.4.1: restart.

Сейчас откатился на предыдущий билд ядра М41.2, все работает нормально, проблем
нет.

Комп HP dc7600

# lspci
00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub
(rev 02)
00:01.0 PCI bridge: Intel Corporation 82945G/GZ/P/PL PCI Express Root Port (rev
02)
00:1c.0 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 1
(rev 01)
00:1c.1 PCI bridge: Intel Corporation 82801G (ICH7 Family) PCI Express Port 2
(rev 01)
00:1d.0 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #1 (rev 01)
00:1d.1 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #2 (rev 01)
00:1d.2 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #3 (rev 01)
00:1d.3 USB Controller: Intel Corporation 82801G (ICH7 Family) USB UHCI
Controller #4 (rev 01)
00:1d.7 USB Controller: Intel Corporation 82801G (ICH7 Family) USB2 EHCI
Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface
Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller
(rev 01)
00:1f.2 IDE interface: Intel Corporation 82801GB/GR/GH (ICH7 Family) SATA IDE
Controller (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8500 GT (rev a1)
05:04.0 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
05:04.1 SCSI storage controller: Adaptec AHA-3960D / AIC-7899A U160/m (rev 01)
05:09.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 08)
05:09.1 Input device controller: Creative Labs SB Live! Game Port (rev 08)
3f:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5752 Gigabit
Ethernet PCI Express (rev 01)
lsusb
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 046d:c01e Logitech, Inc. MX518 Optical Mouse
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 004: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle
(HCI mode)
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
------- Comment #1 From 2008-08-26 14:54:01 -------
Между ними разница только в откате squashfs, ну и пересборке.
------- Comment #2 From 2008-08-29 17:06:55 -------
Дополнение: зависание происходит также в версии ядра 2.6.25-std-def-alt6.M41.2.
Зависает в графическом режиме с повторяемостью 100%, после чуть больше десяти
минут работы. В чисто тектстовом режиме зависание не происходит. Собственно,
это не зависание как таковое - компьютер продолжает работать, например,
скринсейвер KMatrix3D нормально крутится - но комп не реагирует ни на
клавиатуру, ни на мышь, и по сети подключиться также невозможно - даже не
пингуется. "Волшебные клавиши" Alt-PrtScr-? также не функционируют. Помогает
только резет. В логах по-прежнему ничего.
------- Comment #3 From 2008-09-10 13:28:43 -------
Попробуйте пожалуйста переключится на использование драйвера: nv вместо nvidia
в /etc/X11/xorg.conf
Section "Device"
    Driver      "nv"
Понаблюдайте за работой.
------- Comment #4 From 2008-09-10 16:18:13 -------
К сожалению :-), ничего не получится: после очередного обновления (по-видимому:
других причин не вижу) пакетов новое ядро нормально работает уже неделю -
где-то с 4го числа. Воспроизвести сбой больше не получается (до того - 100%
воспроизводимость).
Так что - что дальше делать с этим багом, не знаю....
------- Comment #5 From 2008-09-22 12:41:45 -------
Видимо Fixed